# Copyright 2019 (c) Anna Schumaker.
from . import playlist
from .. import tree

GENRE_ICON =   "emblem-generic"
GENRE_SORT = [ "artist", "date", "album", "discnumber", "tracknumber" ]

class GenreNode(tree.ETree):
    def __init__(self):
        tree.ETree.__init__(self, "Genres", GENRE_ICON)

    def alloc_child(self, name):
        return playlist.Playlist(name, GENRE_ICON, GENRE_SORT)

    def new_track(self, track):
        self.lookup(track["genre"]).add(track)
