# Copyright 2019 (c) Anna Schumaker.
from . import data
from . import notify
from . import playlist
from . import threadqueue
from . import trak
import os

trak.load()
playlist.load()
if os.environ.get("EMMENTAL_TESTING"):
    playlist.reset()

DataFile    = data.DataFile
Playlist    = playlist.playlist.Playlist
ThreadQueue = threadqueue.ThreadQueue
Track       = trak.track.Track


def reset():
    notify.clear()
    trak.reset()
    playlist.reset()

def stop():
    playlist.library.stop()
