# Copyright 2019 (c) Anna Schumaker.
import gi
import sys

gi.require_version("Gst", "1.0")
from gi.repository import Gst
Gst.init(sys.argv)

from . import playbin
from . import autopause
from . import widgets

Playbin = playbin.Playbin


def play_track(track):
    playbin.set_uri(track.path, Gst.State.PLAYING)

def reset():
    playbin.reset()
    autopause.reset()
    widgets.reset()
